from flyai.d import Helper


class DataHelper:
    def __init__(self):
        self.helper = Helper()

    def download_from_ids(self, *ids, log=True):
        '''
        通过数据集ID下载想要使用的数据，会下载到data/input/xxx/下面，数据下载成功之后会更新项目的app.json
        :param ids: 可以填入多个数据集id
        :param log: 是否打印下载log
        :return: 无
        '''
        self.helper.download_from_ids(*ids, log=log)

    def download_from_json(self, log=True):
        '''
        通过项目的app.json文件配置下载数据，下载app.json文件中，所有data下的数据
        :param log: 是否打印log
        :return: 无
        '''
        self.helper.download_from_json(log=log)
