# -*- coding: utf-8 -*

from flyai.source.csv import C

from flyai.source.base import Base


class Csv(Base):
    def __init__(self, config, line=""):
        self.c = C(config, line)

    def get_t(self):
        return self.c.get_t()

    def get_v(self):
        return self.c.get_v()

    def reload(self):
        self.c.reload()

    def read(self, path):
        return self.c.read(path)

    def next_batch(self, size=32, val_size=32):
        return self.c.next_batch(size, val_size)

    def next_train_batch(self, size=32):
        return self.c.next_train_batch(size)

    def next_validation_batch(self, size=32):
        return self.c.next_validation_batch(size)

    def get_train_length(self):
        return self.c.get_train_length()

    def get_validation_length(self):
        return self.c.get_validation_length()

    def get_train_data(self, size=32):
        return self.c.get_train_data()

    def get_all_data(self):
        return self.c.get_all_data()

    def get_validation_data(self, size=32):
        return self.c.get_validation_data(size)

    def get_evaluate_data(self, path):
        return self.c.get_evaluate_data(path)

    def get_data(self, data):
        return self.c.get_data(data)
