# coding=utf-8
import setuptools

__version__ = "0.6.8"

with open("README.md", "r", encoding="utf-8") as f:
    long_description = f.read()

setuptools.setup(
    name='FlyAI',
    version=__version__,
    description=(
        'FlyAI'
    ),
    long_description=long_description,
    long_description_content_type="text/markdown",
    author='FlyAI',
    author_email='jiayi@flyai.com',
    license='GPL License',
    packages=setuptools.find_packages(),
    package_data={'': ['*.so', '*.pyd']},
    url='https://www.flyai.com',
    install_requires=[
        "numpy",
        "pandas",
        "PyYAML",
        "requests",
        "Pillow",
        "wheel",
        "gevent",
        "ufile",
        "qrcode"
    ],
    classifiers=[
        "Operating System :: Microsoft :: Windows",
        "Operating System :: MacOS",
        "Operating System :: POSIX :: Linux",
        "Programming Language :: Python",
        "Programming Language :: Python :: 3.5",
        "Programming Language :: Python :: 3.6",
        "Programming Language :: Python :: 3.7",
    ]
)
